*23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
*
* For some reason UNLV doesn't give summaries of instructor evaluations.
* So I will just summarize for myself the overall course instructor
* values.
*
      program c_eval 
*
      parameter (nscore=100)
      dimension iscore(nscore,2)
* 
*  2004spring sections 1 and 2
*
      data iscore/ 2,4,3,3,
     &             4,0,1,2,
     &             2,4,3,2,
     &             3,4,4,4,
     &             3,4,4,3, -1, 79*0,
*        
     &             3,3,1,4,
     &             4,3,3,3,
     &             4,3,3,4,
     &             4,3,4,3,
     &             4,       -1, 82*0/ 
*
*
      print*
      print*,'2004 Spring Semester:  University of Nevada, Las Vegas'
      print*
      print*,'Astronomy 103:  Introductory Astronomy:  the Solar System'
      print*
      print*,'Overall Instructor Evaluation Score:  David J. Jeffery'
      print*
      print*,'Compiled by himself since no one else did.'
      print*
      print*,'4 excellent;  3 good;  2 satisfactory;  1 poor;',
     &       ' 0 very poor'
      do 410 i=1,2
      print*
      xnum=0.
      ave=0.
      do 420 j=1,nscore
      if(iscore(j,i) .ne. -1) then
          xnum=xnum+1.
          ave=ave+real(iscore(j,i))
        else
          go to 110
      end if
  420 continue
  110 continue
      ave=ave/xnum 
      print*,'Section ',i,':  Responses ',int(xnum+.1)
      print*,'Average Score ',ave
  410 continue
*
      end
